package com.example.nto.repository;

import com.example.nto.entity.Users;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface UsersRepository extends JpaRepository<Users, Long> {
    Optional<Users> findByCredentialsId(Integer credentialsId);
    Optional<Users> findByAuthorityId(Integer authorityId);
    Optional<Users> findByUsername(String username);


    Page<Users> findAll(Pageable pageable);
}
