package com.example.nto.controller;

import com.example.nto.dto.CodeDTO;
import com.example.nto.entity.Users;
import com.example.nto.service.CodeService;
import lombok.RequiredArgsConstructor;
import org.springframework.security.core.Authentication;
import org.springframework.web.bind.annotation.*;

import java.util.Optional;

@RestController
@RequiredArgsConstructor
public class CodeController {

    private final CodeService codeService;

    @PatchMapping("/api/open")
    public Optional<Users> update(Authentication authentication, @RequestBody CodeDTO newCode) {
        String username = authentication.getName();
        return codeService.openDoor(username, newCode.getValue());

    }
}
