package com.example.nto.controller;

import com.example.nto.dto.TerminalDTO;
import com.example.nto.service.TerminalService;
import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/terminal")
@RequiredArgsConstructor
public class TerminalController {

    private final TerminalService terminalService;

    @GetMapping("/{id}")
    public ResponseEntity<TerminalDTO> getCredentialsById(@PathVariable long id) {
        return ResponseEntity.ok(terminalService.getTerminalbyId(id));
    }
}